screening
curl --request POST \
--url https://gateway.varchev.com/peps/searchEntityScreening \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-token: <x-token>' \
--data '
{
"data": [
{
"id": "3431145",
"type": "RiskEntities",
"attributes": {
"type": "Person",
"primary_name": "Smith, John",
"title": "",
"country_territory_code": "INDON",
"country_territory_name": "Indonesia",
"gender": "Male",
"is_subsidiary": false,
"score": "1.0",
"icon_hints": [
"SI-LT"
],
"countries_territories": [
{
"type": "Citizenship",
"code": "INDON"
},
{
"type": "Resident of",
"code": "INDON"
},
{
"type": "Country of Reported Allegation",
"code": "INDON"
}
],
"date_of_birth": [
{
"day": "",
"month": "",
"year": "1992"
},
{
"day": "",
"month": "",
"year": "1993"
}
],
"matched_criteria": {
"date_of_birth": {},
"name": {
"name": "John Smith"
},
"type": {
"type": "Precise",
"is_linguistic_variation": false,
"is_non_linguistic_variation": false,
"is_structural_variation": false
}
}
}
},
{
"id": "369665",
"type": "RiskEntities",
"attributes": {
"type": "Person",
"primary_name": "Smith, John Jane",
"title": "See Previous Roles",
"country_territory_code": "USA",
"country_territory_name": "United States",
"gender": "Male",
"is_subsidiary": false,
"score": "1.0",
"icon_hints": [
"PEP"
],
"countries_territories": [
{
"type": "Citizenship",
"code": "USA"
},
{
"type": "Resident of",
"code": "USA"
},
{
"type": "Jurisdiction",
"code": "USA"
},
{
"type": "Jurisdiction",
"code": "INTERNATIONAL"
}
],
"date_of_birth": [
{
"day": "19",
"month": "8",
"year": "1946"
}
],
"matched_criteria": {
"date_of_birth": {},
"name": {
"name": "John Jane Smith"
},
"type": {
"type": "Precise",
"is_linguistic_variation": false,
"is_non_linguistic_variation": false,
"is_structural_variation": false
}
}
}
}
]
}
'import requests
url = "https://gateway.varchev.com/peps/searchEntityScreening"
payload = { "data": [
{
"id": "3431145",
"type": "RiskEntities",
"attributes": {
"type": "Person",
"primary_name": "Smith, John",
"title": "",
"country_territory_code": "INDON",
"country_territory_name": "Indonesia",
"gender": "Male",
"is_subsidiary": False,
"score": "1.0",
"icon_hints": ["SI-LT"],
"countries_territories": [
{
"type": "Citizenship",
"code": "INDON"
},
{
"type": "Resident of",
"code": "INDON"
},
{
"type": "Country of Reported Allegation",
"code": "INDON"
}
],
"date_of_birth": [
{
"day": "",
"month": "",
"year": "1992"
},
{
"day": "",
"month": "",
"year": "1993"
}
],
"matched_criteria": {
"date_of_birth": {},
"name": { "name": "John Smith" },
"type": {
"type": "Precise",
"is_linguistic_variation": False,
"is_non_linguistic_variation": False,
"is_structural_variation": False
}
}
}
},
{
"id": "369665",
"type": "RiskEntities",
"attributes": {
"type": "Person",
"primary_name": "Smith, John Jane",
"title": "See Previous Roles",
"country_territory_code": "USA",
"country_territory_name": "United States",
"gender": "Male",
"is_subsidiary": False,
"score": "1.0",
"icon_hints": ["PEP"],
"countries_territories": [
{
"type": "Citizenship",
"code": "USA"
},
{
"type": "Resident of",
"code": "USA"
},
{
"type": "Jurisdiction",
"code": "USA"
},
{
"type": "Jurisdiction",
"code": "INTERNATIONAL"
}
],
"date_of_birth": [
{
"day": "19",
"month": "8",
"year": "1946"
}
],
"matched_criteria": {
"date_of_birth": {},
"name": { "name": "John Jane Smith" },
"type": {
"type": "Precise",
"is_linguistic_variation": False,
"is_non_linguistic_variation": False,
"is_structural_variation": False
}
}
}
}
] }
headers = {
"X-token": "<x-token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-token': '<x-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: [
{
id: '3431145',
type: 'RiskEntities',
attributes: {
type: 'Person',
primary_name: 'Smith, John',
title: '',
country_territory_code: 'INDON',
country_territory_name: 'Indonesia',
gender: 'Male',
is_subsidiary: false,
score: '1.0',
icon_hints: ['SI-LT'],
countries_territories: [
{type: 'Citizenship', code: 'INDON'},
{type: 'Resident of', code: 'INDON'},
{type: 'Country of Reported Allegation', code: 'INDON'}
],
date_of_birth: [{day: '', month: '', year: '1992'}, {day: '', month: '', year: '1993'}],
matched_criteria: {
date_of_birth: {},
name: {name: 'John Smith'},
type: {
type: 'Precise',
is_linguistic_variation: false,
is_non_linguistic_variation: false,
is_structural_variation: false
}
}
}
},
{
id: '369665',
type: 'RiskEntities',
attributes: {
type: 'Person',
primary_name: 'Smith, John Jane',
title: 'See Previous Roles',
country_territory_code: 'USA',
country_territory_name: 'United States',
gender: 'Male',
is_subsidiary: false,
score: '1.0',
icon_hints: ['PEP'],
countries_territories: [
{type: 'Citizenship', code: 'USA'},
{type: 'Resident of', code: 'USA'},
{type: 'Jurisdiction', code: 'USA'},
{type: 'Jurisdiction', code: 'INTERNATIONAL'}
],
date_of_birth: [{day: '19', month: '8', year: '1946'}],
matched_criteria: {
date_of_birth: {},
name: {name: 'John Jane Smith'},
type: {
type: 'Precise',
is_linguistic_variation: false,
is_non_linguistic_variation: false,
is_structural_variation: false
}
}
}
}
]
})
};
fetch('https://gateway.varchev.com/peps/searchEntityScreening', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Default
screening
POST
/
searchEntityScreening
screening
Authorizations
bearerAuthdefault
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
authentication token from getAcessToken response
Body
application/json
The body is of type object.
Response
200
Successful response
⌘I

